Sayers.SDL2.Core 1.0.11

dotnet add package Sayers.SDL2.Core --version 1.0.11
NuGet\Install-Package Sayers.SDL2.Core -Version 1.0.11
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Sayers.SDL2.Core" Version="1.0.11" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Sayers.SDL2.Core --version 1.0.11
#r "nuget: Sayers.SDL2.Core, 1.0.11"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Sayers.SDL2.Core as a Cake Addin
#addin nuget:?package=Sayers.SDL2.Core&version=1.0.11

// Install Sayers.SDL2.Core as a Cake Tool
#tool nuget:?package=Sayers.SDL2.Core&version=1.0.11

Sayers.SDL2.Core

Nuget package for handling SDL2-CS bindings and the native SDL dlls.

The bindings are provided by flibitijibibo here: https://github.com/flibitijibibo/SDL2-CS

All of the licenses for the various SDL dlls can be found in the licenses folder.

Usage

To use, either install Sayers.SDL2.Core through the nuget package manager or with:

dotnet add package Sayers.SDL2.Core --version 1.0.11

You'll also need to allow Unsafe code in order to actually use the bindings. This can be found by right-clicking on your Project > Properties > Build > General > Allow code that uses the 'unsafe' keywaord to compile.

image

Getting Started

Tutorials going in depth on the usage SDL2-CS can be found here: https://jsayers.dev/tutorials/

Product Compatible and additional computed target framework versions.
.NET net6.0 is compatible.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.
  • net6.0

    • No dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on Sayers.SDL2.Core:

Package Downloads
Short_Tools

Some useful tools, tutorial in README

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.11 3,732 1/31/2022